> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for organizations

> This endpoint lets you search for organizations using filters. The response is paginated (30 results per page).




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /org/search
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /org/search:
    get:
      tags:
        - Organizations
      summary: Search for organizations
      description: >
        This endpoint lets you search for organizations using filters. The
        response is paginated (30 results per page).
      operationId: searchOrganizations
      parameters:
        - $ref: '#/components/parameters/query_filter_by_org_id'
        - in: query
          name: query
          schema:
            type: string
          required: false
          description: Parameter to fuzzy search organizations on name or id
        - name: alias
          in: query
          schema:
            type: string
          required: false
          description: Parameter to search an organization by its alias
        - $ref: '#/components/parameters/query_page'
        - $ref: '#/components/parameters/query_per_page_1_100'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                description: Result object return by the API
                properties:
                  page:
                    $ref: '#/components/schemas/current_page'
                  max_page:
                    $ref: '#/components/schemas/max_page'
                  count:
                    $ref: '#/components/schemas/count'
                  orgs:
                    type: array
                    description: The organizations complying with filter (30 max per page)
                    items:
                      $ref: '#/components/schemas/Org'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  parameters:
    query_filter_by_org_id:
      in: query
      name: org_id
      schema:
        type: integer
      required: false
      description: >
        Filter by organization ID. Only `PROVIDER` users can use this filter. If
        you are not a `PROVIDER`, this will default to the ID of your
        organization.
    query_page:
      in: query
      name: page
      schema:
        type: integer
        default: 1
      description: |
        Page number.
        Starts at 1. Any value lower than 1 will be considered as 1.
        For the number of items per page, see the `per_page` query parameter.
    query_per_page_1_100:
      in: query
      name: per_page
      schema:
        type: integer
        default: 30
        minimum: 1
        maximum: 100
      description: Number of items to return per page. Currently limited to 100.
  schemas:
    current_page:
      type: integer
      description: Current page number
      example: 1
    max_page:
      type: integer
      description: Last page number
      example: 10
    count:
      type: integer
      description: Number of resources complying with filters
      example: 287
    Org:
      description: Organization
      type: object
      properties:
        org_id:
          $ref: '#/components/schemas/OrgId'
        name:
          $ref: '#/components/schemas/OrgName'
        alias:
          $ref: '#/components/schemas/OrgAlias'
        provider:
          $ref: '#/components/schemas/OrgProvider'
        type:
          $ref: '#/components/schemas/OrgType'
        features:
          $ref: '#/components/schemas/OrgFeatures'
        org_features:
          $ref: '#/components/schemas/OrgAvailableFeatures'
        last_org_api_call:
          $ref: '#/components/schemas/OrgLastApiCall'
        max_businesses:
          $ref: '#/components/schemas/OrgMaxBusinesses'
    OrgId:
      description: Unique identifier of an organization in Partoo.
      type: integer
      example: 42
    OrgName:
      description: Organization name
      type: string
      example: Fast Retailer
    OrgAlias:
      description: Organization alias (should match regex `[a-z0-9_]`)
      type: string
      example: fast_retailer
    OrgProvider:
      description: Organization provider
      type: string
      example: partoo
    OrgType:
      description: Organization type
      type: string
      enum:
        - small_medium_business
        - enterprise
      default: small_medium_business
    OrgFeatures:
      description: >
        List of organization's available features.

        Contains the features the organization can subscribe to as well as the
        ones only some businesses may have subscribed to additionally.
      type: array
      items:
        $ref: '#/components/schemas/Feature'
      example:
        - business_edition
        - diffusion
        - review_management
        - review_invite
        - messages
    OrgAvailableFeatures:
      description: |
        List of organization's features.
        Only contains the features the organization has subscribed to.
      type: array
      items:
        $ref: '#/components/schemas/Feature'
      example:
        - business_edition
        - diffusion
        - review_management
        - review_invite
        - messages
        - review_ai_suggestion
    OrgLastApiCall:
      description: >-
        Date of the last API call made with one of the API keys linked to the
        organization
      type: string
      example: 05-11-2021
    OrgMaxBusinesses:
      description: |
        Maximum number of local businesses the organization can have.
        It does not include the global (brand) businesses.
        If null, there is no limit for the organization.
        This field can only be set by a `PROVIDER` user.
      type:
        - integer
        - 'null'
      example: 100
    Feature:
      allOf:
        - $ref: '#/components/schemas/FeatureEnum'
      type: string
      description: Business feature name
    FeatureEnum:
      enum:
        - diffusion
        - feedback_management
        - messages
        - posts
        - review_invite
        - review_management
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````